;*******************************************************************
;*                                                                 *
;*           External IO-Routine for the PowerCrawler:             *
;*                                                                 *
;* 			?????????????????                          *
;*                                                                 *
;* Format:  ????                                                   *
;*          ????                                                   *
;*          ????                                                   *
;*                                                                 *
;*                                                                 *
;*******************************************************************


	org	0

	FILE	"???????"			; absolute Code will be
						; saved into this file
	incdir	"include"
	include "exec/exec.i"
	include	"dos/dos.i"
	include "lvo/dos_lib.i"
	include "lvo/exec_lib.i"
	include	"misc/PowerCrawler.i"
	

RECOGNITION:
	dc.b 	'PCEX'

ENTRY:
	bra.s	Main
	nop

ACTIONCODE:
	dc.w	0

RETURNCODE:
	dc.w	0
	
RESERVED1:
	dc.l	0
RESERVED2:
	dc.l	0
RESERVED3:
	dc.l	0

ACTIONVAR:
	dc.l	0				;points to FileName


;********************************************************************

Main:
	move.l	4(sp),a5			;Get PCInformation-Structure
	move.l	pci_DosBase(a5),a6

	move	ACTIONCODE(pc),d0
	cmp	#PC_IO_LOADMAP,d0
	beq.s	LoadMap
	cmp	#PC_IO_SAVEMAP,d0
	beq	SaveMap
	cmp	#PC_IO_GETINFO,d0
	beq	GetInfo
	moveq	#PC_RETURN_ERROR,d0

ExitRoutine:
	lea	RETURNCODE(pc),a0
	move	d0,(a0)
	rts
	
;********************************************************************

LoadMap:
;	?????
;	?????
;	?????
		
	moveq	#PC_RETURN_OK,d0
	bra	ExitRoutine
	
;********************************************************************

SaveMap:
;	?????
;	?????
;	?????

	moveq	#PC_RETURN_OK,d0
	bra	ExitRoutine

;********************************************************************

GetInfo:
	lea	ACTIONVAR(pc),a0
	lea	MyInfoText(pc),a1
	move.l	a1,(a0)
	moveq	#PC_RETURN_OK,d0
	bra	ExitRoutine
	
;********************************************************************

MyInfoText:
	dc.b	'?????',10
	dc.b	'?????',10
	dc.b	'?????',10
	dc.b	0
